# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KConfigSkeleton::ItemInt Class Reference

Class for handling an integer preferences item. More...

`#include <kconfigskeleton.h>`

Inheritance diagram for KConfigSkeleton::ItemInt:

[legend]
List of all members.

## Public Member Functions

| ItemInt (const QString &group, const QString &key, int &reference, int defaultValue=0)
void | readConfig (KConfig *config)
void | setProperty (const QVariant &p)
QVariant | property () const
QVariant | minValue () const
QVariant | maxValue () const
void | setMinValue (int)
void | setMaxValue (int)

## Detailed Description

Class for handling an integer preferences item.

Definition at line 447 of file kconfigskeleton.h.

The documentation for this class was generated from the following files:

- kconfigskeleton.h
- kconfigskeleton.cpp

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:33 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003